#!/bin/sh

for lines in `cat /etc/motion.cgi.conf`; do
    if [ `echo $lines | cut -d'=' -f1` = "SOURCE" ]; then
	SOURCES=$SOURCES" "`echo $lines | cut -d'=' -f2-`
    fi
    if [ `echo $lines | cut -d'=' -f1` = "IMAGEDIR" ]; then
	IMAGEDIR=`echo $lines | cut -d'=' -f2`
    fi
done

echo "Content-type: text/html"
echo

echo "<HTML>"
echo "<BODY bgcolor=#ffffdd>"

echo "<a href=http://motion.technolust.cx target=_top><IMG border=0 src=$IMAGEDIR/motion-tux.gif></a>"
echo "<HR>"

echo "<B>Available sources:</B>"
for source in $SOURCES; do
    echo "<LI>"
    echo $source | cut -d'=' -f1
    echo -n "[ <i><a href=motion-tree.cgi?`echo $source | cut -d'=' -f1` target=tree_window>Tree</a></i> "
    if [ ! `echo $source | cut -d'=' -f1` ==  $source ]; then
	echo -n " | <i><a href=`echo $source | cut -d'=' -f2-` target=view_window>Live</a></i> "
    fi
    echo "]"
done

echo "<HR>"
echo "<B>Actions:</B>"

echo "<LI>"
echo "<A href=control/motion-control.cgi?start target=view_window>Start motion</A>"
echo "<LI>"
echo "<A href=control/motion-control.cgi?stop target=view_window>Stop motion</A>"

echo "<P>"

echo "<LI>"
echo "<A href=control/motion-control.cgi?status target=view_window>Status</A>"
echo "<LI>"
echo "<A href=control/motion-control.cgi?snapshot target=view_window>Force snapshot</A>"
echo "<LI>"
echo "<A href=control/motion-control.cgi?creatempeg target=view_window>Force mpeg creation</A>"

echo "<HR>"

echo "<H6>"
echo "motion.cgi is published under the <a href=""http://www.gnu.org"" target=""_top"">GNU</a>"
echo "<a href=""COPYING"" target=view_window>General Public License</a><p>"
echo "<I>Generated on "`date`" by $SERVER_NAME"
echo "</H6>"

echo "</BODY>"
echo "</HTML>"
